Skip to content

Get comments

GET/software/comments

Endpoint API · Packages

Get all comments.

Required permissionendpoint-versions:read

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.

Request samples

curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/software/comments" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.get(
    "https://api-<data-region>.central.sophos.com/endpoint/v1/software/comments",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/software/comments" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/software/comments", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/software/comments", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — All comments.

Response fields

itemsarray of objectrequired
List of comments.
A comment for a static package.
Show child attributesHide child attributes
packageobjectrequired
Static package.
Show child attributesHide child attributes
idstring (uuid)required
Static package ID.
namestringrequired
Static package description.
releasedAtstring (date)required
Static package publication date.
expiresAtstring (date)required
Static package expiration date.
typestringrequired
Static package type.
Must be one of: fixed, special, lts.
platformstringrequired
OS platform type.
Must be one of: windows, linux, macOS.
endpointTypestring
Endpoint type. Please note that the type securityVm is no longer used.
Must be one of: computer, server, securityVm.
modulesarray of objectrequired
Endpoint modules in this static package.
Single endpoint module.
Show child attributesHide child attributes
namestringrequired
The installed endpoint module.
Must be one of: coreAgent, deviceEncryption, interceptX, mdr.
versionstringrequired
Module version.
packageNotesUrlstring (uri)
Link to the static package release notes.
visiblebooleanrequired
If the software package is visible and assignable to policies.
idstring (uuid)required
ID of the static package.
commentstringrequired
Descriptive comment associated with the static package.

Errors

Status Meaning
400 Bad request.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "items": [
    {
      "package": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "releasedAt": "2022-10-12",
        "expiresAt": "2022-02-12",
        "type": "fixed",
        "platform": "windows",
        "endpointType": "computer",
        "modules": [
          {
            "name": "coreAgent",
            "version": "2022.1.0.40"
          }
        ],
        "packageNotesUrl": "https://example.com",
        "visible": true
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "comment": "Use this static package for special servers"
    }
  ]
}

See the guide for a narrative walkthrough of this API.